// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmqpWs = void 0;
const amqp_1 = require("./amqp");
/**
 * Transport used to provision a device over AMQP over Websockets.
 */
class AmqpWs extends amqp_1.Amqp {
    /**
     * @private
     */
    constructor(amqpBase) {
        super(amqpBase);
    }
    /**
     * @private
     */
    _getConnectionUri(request) {
        return 'wss://' + request.provisioningHost + ':443/$iothub/websocket';
    }
}
exports.AmqpWs = AmqpWs;
//# sourceMappingURL=amqp_ws.js.map